package com.fr.plugin.jsd9683;


import com.fr.base.PropertiesUtils;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.plugin.context.PluginContext;
import com.fr.plugin.jsd9683.conf.Jsd9683ConfigXmlConfigReader;

import com.fr.plugin.observer.inner.AbstractPluginLifecycleMonitor;
import com.fr.log.FineLoggerFactory;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.stable.xml.XMLTools;
import com.fr.workspace.WorkContext;

import java.io.*;


@EnableMetrics
@FunctionRecorder
public class Jsd9683PluginLifecycleMonitor extends AbstractPluginLifecycleMonitor {
    @Override
    @Focus(id = "com.fr.plugin.jsd9683", text = "jsd9683", source = Original.PLUGIN)
    public void afterRun(PluginContext pluginContext) {

       // PreHandlerFactory.getInstance().registerRequestCheckers(new MyTemplateRequestChecker());



        FineLoggerFactory.getLogger().info("插件启动:");
        //读取webroot下的配置文件
        String envPath = WorkContext.getCurrent().getPath();
        FineLoggerFactory.getLogger().info("envPath:"+envPath);
        String webReport = (new File(envPath)).getParent();
        FineLoggerFactory.getLogger().info("webReport:"+webReport);
        File envFile = new File(webReport+File.separator+"conf"+File.separator+"bg.xml");
        try {
            XMLTools.readFileXML(Jsd9683ConfigXmlConfigReader.getInstance(), envFile);
        } catch (Exception e) {
            e.printStackTrace();
        }

        FineLoggerFactory.getLogger().info(pluginContext.getID()+" startup.....");
        FineLoggerFactory.getLogger().info("插件启动");
        FineLoggerFactory.getLogger().info("jsd9683 plugin start ..........................");


     //   ddd();
    }





        @Override
    public void beforeStop(PluginContext pluginContext) {
        FineLoggerFactory.getLogger().info("插件停止");
    }
}
