package com.fr.plugin.jsd9683.filter;

import com.fr.decision.fun.impl.AbstractGlobalRequestFilterProvider;
import com.fr.log.FineLoggerFactory;
import com.fr.plugin.jsd9683.conf.Jsd9683ConfigXmlConfigReader;
import edu.yale.its.tp.cas.client.filter.CASFilter;

import java.util.HashMap;
import java.util.Map;

public class CasFilter extends AbstractGlobalRequestFilterProvider {
    @Override
    public String filterName() {
        return "casFilter11";
    }

    @Override
    public String[] urlPatterns() {
        return new String[]{
                "/decision/view/*",
        };
    }


    public String externalFilterClassName() {

        FineLoggerFactory.getLogger().info("isAuthority:"+Jsd9683ConfigXmlConfigReader.isAuthority);
        if(Jsd9683ConfigXmlConfigReader.isAuthority.equals("true")){
            FineLoggerFactory.getLogger().info("registe com.fr.plugin.jsd9683.servletfilter.CasServeltFilter.................");
            return "edu.yale.its.tp.cas.client.filter.CASFilter";
        }
        else{
            FineLoggerFactory.getLogger().info("registe com.fr.plugin.jsd9683.filter.NoFilter.................");
            return "com.fr.plugin.jsd9683.filter.NoFilter";
        }
       // return "com.fr.plugin.jsd9683.servletfilter.CasServeltFilter";
    }

    public Map<String, String> initializationParameters() {
        HashMap<String,String> paramMap = new HashMap<>();
        paramMap.put("edu.yale.its.tp.cas.client.filter.validateUrl", Jsd9683ConfigXmlConfigReader.CAS_VALIDATE_URL);
        paramMap.put("edu.yale.its.tp.cas.client.filter.loginUrl",Jsd9683ConfigXmlConfigReader.CAS_LOGIN_URL);
        paramMap.put("edu.yale.its.tp.cas.client.filter.serverName",Jsd9683ConfigXmlConfigReader.CAS_SERVER_NAME);
        FineLoggerFactory.getLogger().info("init casFilter参数.................");
        return paramMap;
    }
}
