package com.fr.plugin.jsd9683.filter;

import com.fr.decision.fun.impl.AbstractGlobalRequestFilterProvider;
import com.fr.log.FineLoggerFactory;
import com.fr.stable.StringUtils;

import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

public class RequestGlobalFilter extends AbstractGlobalRequestFilterProvider {
    @Override
    public String filterName() {
        return "RequestGlobalFilter";
    }

    @Override
    public String[] urlPatterns() {
        return new String[]{
                "/decision/*",
        };
    }

    @Override
    public void doFilter(HttpServletRequest req, HttpServletResponse res, FilterChain filterChain) {

        FineLoggerFactory.getLogger().info("===============================RequestGlobalFilter:" );
        String origin = req.getHeader("Origin");
        FineLoggerFactory.getLogger().info("===============================origin:" +origin);
        if (StringUtils.isNotEmpty(origin)) {
            res.addHeader("Access-Control-Allow-Origin", origin);
            String headers = req.getHeader("Access-Control-Request-Headers");
            FineLoggerFactory.getLogger().info("===============================headers:" +headers);
            if (StringUtils.isNotEmpty(headers))
                res.addHeader("Access-Control-Allow-Headers", headers);

            res.addHeader("Access-Control-Allow-Methods", "*");
            res.addHeader("Access-Control-Max-Age", "3600");
        }

        String methodName = req.getMethod();
        FineLoggerFactory.getLogger().info("===============================methodName:" +methodName);
        if (methodName.equals("OPTIONS")) {
            res.setStatus(HttpServletResponse.SC_OK);
            FineLoggerFactory.getLogger().info("options set status ok");
        }
        else{
            try {
                FineLoggerFactory.getLogger().info(" ok go on");
                filterChain.doFilter(req,res);
            } catch (IOException e) {
                e.printStackTrace();
            } catch (ServletException e) {
                e.printStackTrace();
            }
        }
    }
}
